> ## Documentation Index
> Fetch the complete documentation index at: https://developers.calendbook.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Booking

> Creates a new booking for a specific event and owner. The request requires the event_id, and guest details. If successful, the API responds with 201 Created and returns a unique booking_id representing the newly created booking.



## OpenAPI

````yaml api-reference/openapi.json post /calendars/bookings
openapi: 3.0.0
info:
  title: Calendbook OAUTH API
  version: 1.0.0
  description: ''
servers:
  - url: https://api.calendbook.com/
security: []
paths:
  /calendars/bookings:
    post:
      summary: Create Booking
      description: >-
        Creates a new booking for a specific event and owner. The request
        requires the event_id, and guest details. If successful, the API
        responds with 201 Created and returns a unique booking_id representing
        the newly created booking.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                booking_date_time:
                  type: string
                  format: date-time
                event_id:
                  type: string
                notes:
                  type: string
                guest:
                  type: object
                  properties:
                    name:
                      type: string
                    email:
                      type: string
                      format: email
                    timezone:
                      type: string
              required:
                - booking_date_time
                - event_id
                - guest
      responses:
        '201':
          description: Booking created
          content:
            application/json:
              schema:
                type: object
                properties:
                  booking_id:
                    type: string
              example:
                booking_id: 4a9c017b-8d6c-4bee-9d49-a179cad49c5
        '400':
          description: Bad Request
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````